Bug 822773 - notification-daemon crashes when notify-send used with transient option
notification-daemon crashes when notify-send used with transient option
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: notification-daemon (Show other bugs)
19
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Mashal
Fedora Extras Quality Assurance
: Regression, Reopened
: 841658 (view as bug list)
Depends On:
Blocks: 841658
  Show dependency treegraph
 
Reported: 2012-05-18 02:04 EDT by Katie Miller
Modified: 2015-02-18 08:43 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 841658 (view as bug list)
Environment:
Last Closed: 2015-02-18 08:43:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 636323 None None None 2012-10-29 07:06:57 EDT

  None (edit)
Description Katie Miller 2012-05-18 02:04:53 EDT
Description of problem:

The notification-daemon dies when notify-send is used with a transient hint. The problem description given is 'Process /usr/libexec/notification-daemon was killed by signal 5 (SIGTRAP)'.

***** A Debian patch has been created that fixes this problem, which is linked from here: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=636323 *****

This cause of this problem seems to be that the notification-daemon cannot be passed these boolean flag values as ints (or any other type other than bools), but the notify-send API forces them to be sent this way.

How reproducible:

Send a notification using notify-send and try to make it transient.

Steps to Reproduce:
1. Open a terminal
2. Type su username -c "notify-send --hint=int:transient:1 Test" (replacing username with your username)
3. Watch the notification-daemon die
  
Actual results:


Expected results:


Additional info:

This might be linked to bug 790320.


----------------------------------------------------------------------------

abrt_version:   2.0.7
cmdline:        /usr/libexec/notification-daemon
executable:     /usr/libexec/notification-daemon
kernel:         3.3.5-2.fc16.x86_64
pid:            1781
reason:         Process /usr/libexec/notification-daemon was killed by signal 5 (SIGTRAP)
time:           Fri 18 May 2012 03:34:56 PM EST
uid:            1000

dso_list:       Text file, 7108 bytes
maps:           Text file, 34683 bytes
xsession_errors: Text file, 7509 bytes

smolt_data:
:
:
:General
:=================================
:UUID: 827c4319-1540-48f6-9aa7-63d98a4306ff
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5581.97
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i7-2640M CPU @ 2.80GHz
:CPU Stepping: 7
:CPU Family: 6
:CPU Model Num: 42
:Number of CPUs: 4
:CPU Speed: 2801
:System Memory: 7870
:System Swap: 9919
:Vendor: LENOVO
:System: 4243BQ3 ThinkPad T520
:Form factor: Notebook
:Kernel: 3.3.5-2.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:7247:6058:8655) pci, None, PCI/ISA, QM67 Express Chipset Family LPC Controller
:(4480:59426:6058:8655) pci, sdhci-pci, BASE, MMC/SD Host Controller
:(32902:294:6058:8655) pci, i915, VIDEO, 2nd Generation Core Processor Family Integrated Graphics Controller
:(32902:7190:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 4
:(32902:7184:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 1
:(32902:7186:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 2
:(32902:7192:6058:8655) pci, pcieport, PCI/PCI, 6 Series/C200 Series Chipset Family PCI Express Root Port 5
:(32902:7200:6058:8655) pci, snd_hda_intel, MULTIMEDIA, 6 Series/C200 Series Chipset Family High Definition Audio Controller
:(32902:5378:6058:8654) pci, e1000e, ETHERNET, 82579LM Gigabit Network Connection
:(32902:7213:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #2
:(32902:7202:6058:8655) pci, i801_smbus, SERIAL, 6 Series/C200 Series Chipset Family SMBus Controller
:(4480:59442:6058:8655) pci, firewire_ohci, FIREWIRE, FireWire Host Controller
:(32902:16952:32902:4369) pci, iwlwifi, NETWORK, Centrino Ultimate-N 6300 3x3 AGN
:(32902:7171:6058:8655) pci, ahci, STORAGE, 6 Series/C200 Series Chipset Family 6 port SATA AHCI Controller
:(32902:7229:6058:8655) pci, serial, 16550_SERIAL, 6 Series/C200 Series Chipset Family KT Controller
:(32902:7206:6058:8655) pci, ehci_hcd, USB, 6 Series/C200 Series Chipset Family USB Enhanced Host Controller #1
:(32902:260:6058:8655) pci, agpgart-intel, HOST/PCI, 2nd Generation Core Processor Family DRAM Controller
:(32902:7226:6058:8655) pci, None, SIMPLE, 6 Series/C200 Series Chipset Family MEI Controller #1
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dhcp1187-lv_root / ext4 4096 4096 13081819 11314043 10658683 3276800 3041724 3041724
:/dev/sda1 /boot ext4 1024 1024 508745 410565 384965 128016 127785 127785
:/dev/mapper/vg_dhcp1187-lv_home /home ext4 4096 4096 106199652 103166216 97850428 26583040 26531498 26531498
:

var_log_messages:
:May 16 08:48:49 dhcp-1-187 abrt[7630]: Saved core dump of pid 1849 (/usr/libexec/notification-daemon) to /var/spool/abrt/ccpp-2012-05-16-08:48:49-1849 (23703552 bytes)
:May 18 15:34:56 dhcp-1-187 abrt[15390]: Saved core dump of pid 1781 (/usr/libexec/notification-daemon) to /var/spool/abrt/ccpp-2012-05-18-15:34:56-1781 (23814144 bytes)
Comment 1 Jan Pokorný 2012-07-19 15:13:18 EDT
IIRC, F16 originally did not have this issue, hence it was introduced
with updates.
Comment 2 Jan Pokorný 2012-10-29 07:05:05 EDT
This is still present F17 (+ LXDE)

Core analysis:

(gdb) thread apply all bt

Thread 2 (Thread 0x7fc6c3101700 (LWP 1374)):
#0  0x00007fc6cc670bcf in __GI___poll
    (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>)
    at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007fc6cc986af4 in g_main_context_poll
    (n_fds=3, fds=0x7fc6b40010c0, timeout=-1, context=0x7fc6bc0139e0,
    priority=<optimized out>) at gmain.c:3440
#2  g_main_context_iterate
    (context=0x7fc6bc0139e0, block=block@entry=1,
    dispatch=dispatch@entry=1, self=<optimized out>)
    at gmain.c:3141
#3  0x00007fc6cc986f52 in g_main_loop_run
    (loop=0x7fc6bc0156d0)
    at gmain.c:3340
#4  0x00007fc6ccf754d6 in gdbus_shared_thread_func
    (user_data=0x7fc6bc0139b0)
    at gdbusprivate.c:277
#5  0x00007fc6cc9a9495 in g_thread_proxy
   (data=0x7fc6bc003b70)
    at gthread.c:801
#6  0x00007fc6cba65d14 in start_thread
    (arg=0x7fc6c3101700)
    at pthread_create.c:309
#7  0x00007fc6cc67967d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fc6cd3e0980 (LWP 1358)):
#0  g_logv
    (log_domain=0x7fc6cc9eb9ee "GLib", log_level=G_LOG_LEVEL_CRITICAL,
    format=0x7fc6cc9f48fa "%s: assertion `%s' failed",
    args1=args1@entry=0x7fffc144f988)
    at gmessages.h:101
#1  0x00007fc6cc98db22 in g_log
    (log_domain=log_domain@entry=0x7fc6cc9eb9ee "GLib",
    log_level=log_level@entry=G_LOG_LEVEL_CRITICAL,
    format=format@entry=0x7fc6cc9f48fa "%s: assertion `%s' failed")
    at gmessages.c:792
#2  0x00007fc6cc98db49 in g_return_if_fail_warning
    (log_domain=log_domain@entry=0x7fc6cc9eb9ee "GLib",
    pretty_function=pretty_function@entry=0x7fc6cca3a890
    "g_variant_get_boolean", expression=expression@entry=0x7fc6cca392b8
    "g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)")
    at gmessages.c:801
#3  0x00007fc6cc9b505e in g_variant_get_boolean
    (value=<optimized out>)
    at gvariant.c:369
#4  g_variant_get_boolean
    (value=0x1955a60)
    at gvariant.c:365
#5  0x0000000000406d2c in nd_notification_get_is_transient
    (notification=notification@entry=0x1870390 [NdNotification])
    at nd-notification.c:237
#6  0x000000000040ad42 in on_bubble_destroyed
    (bubble=<optimized out>, queue=0x18982b0 [NdQueue])
    at nd-queue.c:601
#7  0x00007fc6ccc6e664 in g_closure_invoke
    (closure=0x199a5b0, return_value=return_value@entry=0x0,
    n_param_values=1, param_values=param_values@entry=0x7fffc144fc60,
    invocation_hint=invocation_hint@entry=0x7fffc144fc00)
    at gclosure.c:777
#8  0x00007fc6ccc7f6d8 in signal_emit_unlocked_R
    (node=node@entry=0x184ce20, detail=detail@entry=0,
    instance=instance@entry=0x19f42b0,
    emission_return=emission_return@entry=0x0, 
    instance_and_params=instance_and_params@entry=0x7fffc144fc60)
    at gsignal.c:3551
#9  0x00007fc6ccc8766d in g_signal_emit_valist
    (instance=0x19f42b0, signal_id=<optimized out>, detail=0,
    var_args=var_args@entry=0x7fffc144fea8)
    at gsignal.c:3300
#10 0x00007fc6ccc877c2 in g_signal_emit
    (instance=instance@entry=0x19f42b0, signal_id=<optimized out>,
    detail=detail@entry=0)
    at gsignal.c:3356
#11 0x00000032194aca7e in gtk_widget_dispose
    (object=0x19f42b0 [NdBubble])
    at gtkwidget.c:10338
#12 0x00007fc6ccc746d1 in g_object_run_dispose
    (object=0x19f42b0 [NdBubble])
    at gobject.c:1061
#13 0x00000032194a1b31 in gtk_widget_destroy
    (widget=<optimized out>)
    at gtkwidget.c:3943
#14 0x00000000004080fa in timeout_bubble
    (bubble=0x19f42b0 [NdBubble],
    bubble@entry=<error reading variable: value has been optimized out>)
    at nd-bubble.c:390
#15 0x00007fc6cc9873bb in g_timeout_dispatch
    (source=source@entry=0x198f420, callback=<optimized out>,
    user_data=<optimized out>)
    at gmain.c:3882
#16 0x00007fc6cc986825 in g_main_dispatch
    (context=0x188df40)
    at gmain.c:2539
#17 g_main_context_dispatch
    (context=context@entry=0x188df40)
    at gmain.c:3075
#18 0x00007fc6cc986b58 in g_main_context_iterate
    (context=0x188df40, block=block@entry=1, dispatch=dispatch@entry=1,
    self=<optimized out>)
    at gmain.c:3146
#19 0x00007fc6cc986f52 in g_main_loop_run
    (loop=0x18f9dc0)
    at gmain.c:3340
#20 0x0000003219379f75 in gtk_main
    ()
    at gtkmain.c:1161
#21 0x00000000004063fa in main
    (argc=1, argv=0x7fffc14501f8)
    at daemon.c:391


Please, fix this regression.
Comment 4 Fedora Admin XMLRPC Client 2013-03-06 07:24:56 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2013-07-04 01:22:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 12:25:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Jan Pokorný 2013-08-01 14:06:35 EDT
Still happens in F18: notification-daemon-0.7.6-1.fc18.x86_64

$ su -c 'killall notification-daemon'
$ /usr/libexec/notification-daemon &
$ notify-send --hint=int:transient:1 Test
[notify-send returns immediatelly, however now there is a short gap]
> (notification-daemon:13966): GLib-CRITICAL **: g_variant_get_boolean:
> assertion `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)' failed

Full backtraces through the threads from coredump:

> Thread 1 (Thread 0x7f8b043e3980 (LWP 13966)):
> 
> #0  g_logv
>     (log_domain=0x3ab0cae88e "GLib", log_level=G_LOG_LEVEL_CRITICAL,
>     format=<optimized out>, args=args@entry=0x7fffa5cdaee8)
>     at gmessages.c:974
>         domain = 0x0
>         data = <optimized out>
>         depth = 0
>         log_func = 0x3ab0c4e4a0 <g_log_default_handler>
>         domain_fatal_mask = <optimized out>
>         masquerade_fatal = <optimized out>
>         test_level = <optimized out>
>         was_fatal = <optimized out>
>         was_recursion = <optimized out>
>         msg = 0x15c5370 "g_variant_get_boolean: assertion
>             `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)'
>             failed"
>         msg_alloc = 0x15c5370 "g_variant_get_boolean: assertion
>             `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)'
>             failed"
>         i = 3
> 
> #1  g_log
>     (log_domain=log_domain@entry=0x3ab0cae88e "GLib",
>     log_level=log_level@entry=G_LOG_LEVEL_CRITICAL,
>     format=format@entry=0x3ab0cb789a "%s: assertion `%s' failed")
>     at gmessages.c:1003
>         args = {{gp_offset = 40, fp_offset = 48, overflow_arg_area =
>             0x7fffa5cdafc0, reg_save_area = 0x7fffa5cdaf00}}
> 
> #2  g_return_if_fail_warning
>         No locals.
> 
> #3  g_variant_get_boolean
>     (value=0x7f8af8008d00)
>     at gvariant.c:369
>         No locals.
> 
> #4  g_variant_get_boolean
>     (value=0x7f8af8008d00)
>     at gvariant.c:365
>         data = <optimized out>
> 
> #5  nd_notification_get_is_transient
>     (notification=<optimized out>)
>     at nd-notification.c:237
>         value = <optimized out>
>         __PRETTY_FUNCTION__ = "nd_notification_get_is_transient"
> 
> #6  on_bubble_destroyed
>         notification = 0x15d8390 [NdNotification]
> 
> #7  g_closure_invoke
>         invocation_hint=invocation_hint@entry=0x7fffa5cdb160) at
>             gclosure.c:777
>         marshal = 0x405fe0 <g_cclosure_marshal_VOID__VOID@plt>
>         marshal_data = 0x0
>         in_marshal = 0
>         real_closure = 0x17cfa10
>         __PRETTY_FUNCTION__ = "g_closure_invoke"
> 
> #8  signal_emit_unlocked_R
>         0x0,
>             instance_and_params=instance_and_params@entry=0x7fffa5cdb1
>             c0) at gsignal.c:3551
>         tmp = <optimized out>
>         handler = 0x17f1b80
>         accumulator = 0x0
>         emission = {next = 0x0, instance = 0x1852190, ihint =
>             {signal_id = 3, detail = 0, run_type =
>             G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
>         class_closure = 0x1589a30
>         hlist = 0x17b94c0
>         handler_list = <optimized out>
>         return_accu = 0x0
>         accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long =
>             0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0,
>             v_double = 0, v_pointer = 0x0}, {v_int = 0,
>         v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 =
>             0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
>         signal_id = 3
>         max_sequential_handler_number = 225
>         return_value_altered = 1
> 
> #9  g_signal_emit_valist
>     (instance=0x1852190, signal_id=<optimized out>, detail=0,
>     var_args=var_args@entry=0x7fffa5cdb408)
>     at gsignal.c:3300
>         instance_and_params = 0x7fffa5cdb1c0
>         signal_return_type = 4
>         param_values = 0x7fffa5cdb1d8
>         node = <optimized out>
>         i = <optimized out>
>         n_params = 0
>         __PRETTY_FUNCTION__ = "g_signal_emit_valist"
> 
> #10 g_signal_emit
>     (instance=instance@entry=0x1852190, signal_id=<optimized out>,
>     detail=detail@entry=0)
>     at gsignal.c:3356
>         var_args = {{gp_offset = 24, fp_offset = 48, overflow_arg_area
>             = 0x7fffa5cdb4e0, reg_save_area = 0x7fffa5cdb420}}
> 
> #11 gtk_widget_dispose
>         widget = 0x1852190 [NdBubble]
>         priv = 0x18521d0
> 
> #12 g_object_run_dispose
>         __PRETTY_FUNCTION__ = "g_object_run_dispose"
> 
> #13 gtk_widget_destroy
>     (widget=<optimized out>)
>     at gtkwidget.c:3976
>         __PRETTY_FUNCTION__ = "gtk_widget_destroy"
> 
> #14 timeout_bubble
>         No locals.
> 
> #15 g_timeout_dispatch
>     (source=source@entry=0x17b8510, callback=<optimized out>,
>     user_data=<optimized out>)
>     at gmain.c:4026
>         timeout_source = 0x17b8510
>         again = <optimized out>
> 
> #16 g_main_dispatch
>     (context=0x15b1e20)
>     at gmain.c:2715
>         dispatch = 0x3ab0c485c0 <g_timeout_dispatch>
>         was_in_call = 0
>         user_data = 0x1852190
>         callback = 0x408100 <timeout_bubble>
>         cb_funcs = 0x3ab0f209a0 <g_source_callback_funcs>
>         cb_data = 0x15c55d0
>         current_source_link = {data = 0x17b8510, next = 0x0}
>         need_destroy = <optimized out>
>         source = 0x17b8510
>         current = 0x15eb610
>         i = 0
> 
> #17 g_main_context_dispatch
>     (context=context@entry=0x15b1e20)
>     at gmain.c:3219
>         No locals.
> 
> #18 g_main_context_iterate
>     (context=0x15b1e20, block=block@entry=1, dispatch=dispatch@entry=1,
>     self=<optimized out>)
>     at gmain.c:3290
>         max_priority = 2147483647
>         timeout = 800
>         some_ready = 1
>         nfds = <optimized out>
>         allocated_nfds = <optimized out>
>         fds = 0x17480f0
> 
> #19 g_main_loop_run
>     (loop=0x17480d0)
>     at gmain.c:3484
>         __PRETTY_FUNCTION__ = "g_main_loop_run"
> 
> #20 gtk_main
>     at gtkmain.c:1160
>         loop = 0x17480d0
> 
> #21 main
>     (argc=1, argv=0x7fffa5cdb758)
>     at daemon.c:391
>         daemon = 0x159a920 [NotifyDaemon]
>         owner_id = 1
>         __PRETTY_FUNCTION__ = "main"
> 
> 
> Thread 2 (Thread 0x7f8afdb7d700 (LWP 13968)):
> 
> #0  poll
>     at ../sysdeps/unix/syscall-template.S:81
>         No locals.
> 
> #1  g_main_context_poll
>     (priority=2147483647, n_fds=3, fds=0x7f8af80010e0, timeout=-1,
>     context=0x1603040)
>     at gmain.c:3584
>         poll_func = 0x3ab0c55e00 <g_poll>
> 
> #2  g_main_context_iterate
>     (context=0x1603040, block=block@entry=1, dispatch=dispatch@entry=1,
>     self=<optimized out>)
>     at gmain.c:3285
>         max_priority = 2147483647
>         timeout = -1
>         some_ready = <optimized out>
>         nfds = 3
>         allocated_nfds = <optimized out>
>         fds = 0x7f8af80010e0
> 
> #3  g_main_loop_run
>     (loop=0x1602fd0)
>     at gmain.c:3484
>         __PRETTY_FUNCTION__ = "g_main_loop_run"
> 
> #4  gdbus_shared_thread_func
>     (user_data=0x1603010)
>     at gdbusprivate.c:277
>         data = 0x1603010
> 
> #5  g_thread_proxy
>     (data=0x1601de0)
>     at gthread.c:797
>         thread = 0x1601de0
> 
> #6  start_thread
>     (arg=0x7f8afdb7d700)
>     at pthread_create.c:308
>         __res = <optimized out>
>         pd = 0x7f8afdb7d700
>         now = <optimized out>
>         unwind_buf = {cancel_jmp_buf = {{jmp_buf = {140234938898176,
>             -5298474862361145748, 0, 252029571072, 140234938898176,
>             23080976, 5291151497969569388,
>         -5328506922317476244}, mask_was_saved = 0}}, priv = {pad =
>             {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0,
>             canceltype = 0}}}
>         not_first_call = 0
>         pagesize_m1 = <optimized out>
>         sp = <optimized out>
>         freesize = <optimized out>
> 
> #7  clone
>     at ../sysdeps/unix/sysv/linux/x86_64/clone.S:114
>         No locals.
Comment 8 Jan Pokorný 2013-08-01 17:07:01 EDT
*** Bug 841658 has been marked as a duplicate of this bug. ***
Comment 9 Fedora End Of Life 2013-12-21 10:02:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Jan Pokorný 2014-01-02 15:36:46 EST
Still happens in F19: notification-daemon-0.7.6-2.fc19.x86_64

Reproducer as per [comment 7].  As I am already using dunst (which had
been already activated via DBus upon its prior use), had to kill it
first so notification-daemon could actually run.


> Thread 1 (Thread 0x7f168cb109c0 (LWP 8679)):
> 
> #0  g_logv
>     (log_domain=0x7f168a5c18ce "GLib", log_level=G_LOG_LEVEL_CRITICAL,
>     format=<optimized out>, args=args@entry=0x7fffff30f3c8)
>     at gmessages.c:981
>         domain = 0x0
>         data = 0x0
>         depth = 0
>         log_func = 0x7f168a560650 <g_log_default_handler>
>         domain_fatal_mask = <optimized out>
>         masquerade_fatal = <optimized out>
>         test_level = <optimized out>
>         was_fatal = <optimized out>
>         was_recursion = <optimized out>
>         msg = 0x98bca0 "g_variant_get_boolean: assertion
>             `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)'
>             failed"
>         msg_alloc = 0x98bca0 "g_variant_get_boolean: assertion
>             `g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)'
>             failed"
>         i = 3
> 
> #1  g_log
>         format=format@entry=0x7f168a5cadfa "%s: assertion `%s'
>             failed") at gmessages.c:1010
>         args = {{
>         gp_offset = 40,
>         fp_offset = 48,
>         overflow_arg_area = 0x7fffff30f4a0,
>         reg_save_area = 0x7fffff30f3e0
>         }}
> 
> #2  g_return_if_fail_warning
>         pretty_function=pretty_function@entry=0x7f168a612380
>             <__PRETTY_FUNCTION__.4833> "g_variant_get_boolean",
>         expression=expression@entry=0x7f168a60fe68
>             "g_variant_is_of_type (value, G_VARIANT_TYPE_BOOLEAN)") at
>             gmessages.c:1019
>         No locals.
> 
> #3  g_variant_get_boolean
>     (value=0x7f1674006c90)
>     at gvariant.c:369
>         value = 0x7f1674006c90
>         data = <optimized out>
> 
> #4  nd_notification_get_is_transient
>     (notification=<optimized out>)
>     at nd-notification.c:237
>         value = <optimized out>
>         __PRETTY_FUNCTION__ = "nd_notification_get_is_transient"
> 
> #5  on_bubble_destroyed
>         notification = 0x82ff00 [NdNotification]
> 
> #6  g_closure_invoke
>         invocation_hint=invocation_hint@entry=0x7fffff30f600) at
>             gclosure.c:777
>         marshal = 0x405fe0 <g_cclosure_marshal_VOID__VOID@plt>
>         marshal_data = 0x0
>         in_marshal = 0
>         real_closure = 0x98af60
>         __PRETTY_FUNCTION__ = "g_closure_invoke"
> 
> #7  signal_emit_unlocked_R
>         emission_return=emission_return@entry=0x0,
>             instance_and_params=instance_and_params@entry=0x7fffff30f6
>             60) at gsignal.c:3584
>         tmp = <optimized out>
>         handler = 0xa9c900
>         accumulator = 0x0
>         emission = {
>         next = 0x0,
>         instance = 0x96c020,
>         ihint = {
>         signal_id = 3,
>         detail = 0,
>         run_type = G_SIGNAL_RUN_FIRST
>         },
>         state = EMISSION_RUN,
>         chain_type = 4
>         }
>         handler_list = 0xa99b50
>         return_accu = 0x0
>         accu = {
>         g_type = 0,
>         data = {{
>         v_int = 0,
>         v_uint = 0,
>         v_long = 0,
>         v_ulong = 0,
>         v_int64 = 0,
>         v_uint64 = 0,
>         v_float = 0,
>         v_double = 0,
>         v_pointer = 0x0
>         }, {
>         v_int = 0,
>         v_uint = 0,
>         v_long = 0,
>         v_ulong = 0,
>         v_int64 = 0,
>         v_uint64 = 0,
>         v_float = 0,
>         v_double = 0,
>         v_pointer = 0x0
>         }}
>         }
>         signal_id = 3
>         max_sequential_handler_number = 231
>         return_value_altered = 1
> 
> #8  g_signal_emit_valist
>         at gsignal.c:3328
>         instance_and_params = 0x7fffff30f660
>         signal_return_type = <optimized out>
>         param_values = 0x7fffff30f678
>         node = <optimized out>
>         i = <optimized out>
>         n_params = <optimized out>
>         __PRETTY_FUNCTION__ = "g_signal_emit_valist"
> 
> #9  g_signal_emit
>     (instance=instance@entry=0x96c020, signal_id=<optimized out>,
>     detail=detail@entry=0)
>     at gsignal.c:3384
>         var_args = {{
>         gp_offset = 24,
>         fp_offset = 48,
>         overflow_arg_area = 0x7fffff30f8c0,
>         reg_save_area = 0x7fffff30f800
>         }}
> 
> #10 gtk_widget_dispose
>         widget = 0x96c020 [NdBubble]
>         priv = 0x96c060
> 
> #11 g_object_run_dispose
>         __PRETTY_FUNCTION__ = "g_object_run_dispose"
> 
> #12 gtk_widget_destroy
>     (widget=<optimized out>)
>     at gtkwidget.c:4102
>         __PRETTY_FUNCTION__ = "gtk_widget_destroy"
> 
> #13 timeout_bubble
>         No locals.
> 
> #14 g_timeout_dispatch
>     (source=source@entry=0x989e40, callback=<optimized out>,
>     user_data=<optimized out>)
>     at gmain.c:4413
>         timeout_source = 0x989e40
>         again = <optimized out>
> 
> #15 g_main_dispatch
>     (context=0x842630)
>     at gmain.c:3054
>         dispatch = 0x7f168a55a940 <g_timeout_dispatch>
>         was_in_call = 0
>         user_data = 0x96c020
>         callback = 0x408150 <timeout_bubble>
>         cb_funcs = 0x7f168a839900 <g_source_callback_funcs>
>         cb_data = 0xa369a0
>         need_destroy = <optimized out>
>         current_source_link = {
>         data = 0x989e40,
>         next = 0x0
>         }
>         source = 0x989e40
>         current = 0x880a20
>         i = 0
> 
> #16 g_main_context_dispatch
>     (context=context@entry=0x842630)
>     at gmain.c:3630
>         No locals.
> 
> #17 g_main_context_iterate
>     (context=0x842630, block=block@entry=1, dispatch=dispatch@entry=1,
>     self=<optimized out>)
>     at gmain.c:3701
>         max_priority = 2147483647
>         timeout = 5000
>         some_ready = 1
>         nfds = <optimized out>
>         allocated_nfds = 3
>         fds = 0x90e640
> 
> #18 g_main_loop_run
>     (loop=0x90e620)
>     at gmain.c:3895
>         __PRETTY_FUNCTION__ = "g_main_loop_run"
> 
> #19 gtk_main
>     at gtkmain.c:1156
>         loop = 0x90e620
> 
> #20 main
>     (argc=1, argv=0x7fffff30fb58)
>     at daemon.c:391
>         daemon = 0x869cc0 [NotifyDaemon]
>         owner_id = 1
>         __PRETTY_FUNCTION__ = "main"
> 
> 
> Thread 2 (Thread 0x7f167acb6700 (LWP 8681)):
> 
> #0  poll
>     at ../sysdeps/unix/syscall-template.S:81
>         No locals.
> 
> #1  g_main_context_poll
>     (priority=2147483647, n_fds=3, fds=0x7f16740010e0, timeout=-1,
>     context=0x899b80)
>     at gmain.c:3995
>         poll_func = 0x7f168a568d40 <g_poll>
> 
> #2  g_main_context_iterate
>     (context=0x899b80, block=block@entry=1, dispatch=dispatch@entry=1,
>     self=<optimized out>)
>     at gmain.c:3696
>         max_priority = 2147483647
>         timeout = -1
>         some_ready = <optimized out>
>         nfds = 3
>         allocated_nfds = 3
>         fds = 0x7f16740010e0
> 
> #3  g_main_loop_run
>     (loop=0x899b10)
>     at gmain.c:3895
>         __PRETTY_FUNCTION__ = "g_main_loop_run"
> 
> #4  gdbus_shared_thread_func
>     (user_data=0x899b50)
>     at gdbusprivate.c:278
>         data = 0x899b50
> 
> #5  g_thread_proxy
>     (data=0x896370)
>     at gthread.c:798
>         thread = 0x896370
> 
> #6  start_thread
>     (arg=0x7f167acb6700)
>     at pthread_create.c:308
>         __res = <optimized out>
>         pd = 0x7f167acb6700
>         now = <optimized out>
>         unwind_buf = {
>         cancel_jmp_buf = {{
>         jmp_buf = {139734526158592, -2115957562006753213, 0,
>             139734526159296, 139734526158592, 9018192,
>             2057703405560344643, 2058015676516479043},
>         mask_was_saved = 0
>         }},
>         priv = {
>         pad = {0x0, 0x0, 0x0, 0x0},
>         data = {
>         prev = 0x0,
>         cleanup = 0x0,
>         canceltype = 0
>         }
>         }
>         }
>         not_first_call = <optimized out>
>         pagesize_m1 = <optimized out>
>         sp = <optimized out>
>         freesize = <optimized out>
> 
> #7  clone
>     at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113
>         No locals.
Comment 11 Fedora End Of Life 2015-01-09 16:58:16 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-18 08:43:29 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.